# Uses of Interface
org.eclipse.e4.ui.model.application.ui.advanced.MArea

Packages that use MArea
Package
Description
org.eclipse.e4.ui.model.application.ui.advanced
Application programming interfaces describing the advanced Eclipse 4 user interface model elements.
org.eclipse.e4.ui.model.application.ui.advanced.impl
org.eclipse.e4.ui.model.application.ui.advanced.util

## Uses of MArea in org.eclipse.e4.ui.model.application.ui.advanced

Methods in org.eclipse.e4.ui.model.application.ui.advanced that return MArea
Modifier and Type
Method
Description
`MArea`
MAdvancedFactory.`createArea()`
Returns a new object of class 'Area'.

## Uses of MArea in org.eclipse.e4.ui.model.application.ui.advanced.impl

Classes in org.eclipse.e4.ui.model.application.ui.advanced.impl that implement MArea
Modifier and Type
Class
Description
`class`
`AreaImpl`
An implementation of the model object 'Area'.
Methods in org.eclipse.e4.ui.model.application.ui.advanced.impl that return MArea
Modifier and Type
Method
Description
`MArea`
AdvancedFactoryImpl.`createArea()`

## Uses of MArea in org.eclipse.e4.ui.model.application.ui.advanced.util

Methods in org.eclipse.e4.ui.model.application.ui.advanced.util with parameters of type MArea
Modifier and Type
Method
Description
`T1`
AdvancedSwitch.`caseArea(MArea object)`
Returns the result of interpreting the object as an instance of 'Area'.